import React, { Component } from 'react'
import { Text, View, TouchableOpacity } from 'react-native'
import Icon from 'react-native-vector-icons/MaterialCommunityIcons'

export default class RadioGroup extends Component {
    state = {}
    render() {
        return (
            <View style={[this.props.groupStyle, { flexDirection: 'row' }]}>
                {this.props.options.map((option, index) => (
                    <TouchableOpacity
                        key={index}
                        onPress={() => this.props.onChange(option.value)}
                        style={[
                            this.props.optionStyle,
                            {
                                flexDirection: this.props.rtl
                                    ? 'row-reverse'
                                    : 'row'
                            },
                            { justifyContent: 'center', alignItems: 'center' }
                        ]}
                    >
                        <Text style={[this.props.labelStyle, {textAlignVertical: 'center'}]}>
                            {option.label}
                        </Text>
                        {this.props.value === option.value ? (
                            <Icon
                                name='radiobox-marked'
                                size={this.props.buttonSize || 26}
                            />
                        ) : (
                            <Icon
                                name='radiobox-blank'
                                size={this.props.buttonSize || 26}
                            />
                        )}
                    </TouchableOpacity>
                ))}
            </View>
        )
    }
}
